// MAKE SURE THIS IS AN IMAGE OF ASPERRORS.FTS (MUTATIS MUTANDIS)

var ASPERR_SUCCESS									= 0

var ASPERR_CREATELOCALFAILED				= 1
var ASPERR_CREATEREMOTEFAILED				= 2
var ASPERR_CREATEDOMAINEXISTS				= 3
var ASPERR_NODOMAINTODELETE					= 4
var ASPERR_DELETDOMAINFAILED				= 5
var ASPERR_NODOMAINTORENAME					= 6
var ASPERR_RENAMEDOMAINFAILED				= 7
var ASPERR_CREATEDOMAINALIASFAILED	= 8
var ASPERR_CREATEDOMAINALIASEXISTS	= 9
var ASPERR_NODOMAINTOALIAS					= 10
var ASPERR_DELETDOMAINALIASFAILED		= 11

var ASPERR_CREATEMAILBOXFAILED			= 20
var ASPERR_CREATEMAILBOXEXISTS			= 21
var ASPERR_NOMAILBOXTODELETE				= 22
var ASPERR_DELETEMAILBOXFAILED			= 23

var ASPERR_CREATESMARTPOPFAILED			= 40
var ASPERR_CREATESMARTPOPEXISTS			= 41
var ASPERR_NOSMARTPOPTODELETE				= 42
var ASPERR_DELETESMARTPOPFAILED			= 43

var ASPERR_CREATESCHEDULEFAILED			= 60
var ASPERR_CREATESCHEDULEEXISTS			= 61
var ASPERR_DELETESCHEDULEFAILED			= 62
var ASPERR_NOSCHEDULETODELETE				= 63
var ASPERR_NOSCHEDULETORENAME				= 64
var ASPERR_RENAMESCHEDULEFAILED			= 65
var ASPERR_SELECTSCHEDULEFAILED			= 66

var ASPERR_ROUTEALREADYEXISTS				= 80
var ASPERR_INSERTROUTEFAILED				=	81
var ASPERR_DELETEROUTEFAILED				= 82
var ASPERR_DELETEROUTEINVALID				=	83

var ASPERR_SERVICEALREADYEXISTS			= 100

function aspError(code)
{
	if (code==0)
    return "Success";
  else if (code==ASPERR_CREATELOCALFAILED)
    return "Failed to create local domain.\n\nMake sure the domain name is of the form 'domain.com'.\nNames like 'domain' are not allowed.";
  else if (code==ASPERR_CREATEREMOTEFAILED)
    return "Failed to create remote domain.\n\nMake sure the domain name is of the form 'domain.com'.\nNames like 'domain' are not allowed.";
  else if (code==ASPERR_CREATEDOMAINEXISTS)
    return "Failed to create domain. It already exists.";
  else if (code==ASPERR_NODOMAINTODELETE)
    return "Failed to delete domain. It does not exist.";
  else if (code==ASPERR_DELETDOMAINFAILED)
    return "Failed to delete domain.";
  else if (code==ASPERR_NODOMAINTORENAME)
    return "Failed to rename Domain. It does not exist.";
  else if (code==ASPERR_RENAMEDOMAINFAILED)
    return "Failed to rename Domain.";
  else if (code==ASPERR_CREATEDOMAINALIASFAILED)
    return "Failed to create Domain alias.";
  else if (code==ASPERR_CREATEDOMAINALIASEXISTS)
    return "Failed to create Domain alias. Name already exists.";
  else if (code==ASPERR_NODOMAINTOALIAS)
    return "Failed to create Domain alias. Domain does not exist.";
  else if (code==ASPERR_DELETDOMAINALIASFAILED)
    return "Failed to delete Domain alias.";

  else if (code==ASPERR_CREATEMAILBOXFAILED)
    return "Failed to create Mailbox.";
  else if (code==ASPERR_CREATEMAILBOXEXISTS)
    return "Failed to create Mailbox. It already exists.";
  else if (code==ASPERR_NOMAILBOXTODELETE)
    return "Failed to delete Mailbox. It does not exist.";
  else if (code==ASPERR_DELETEMAILBOXFAILED)
    return "Failed to delete Mailbox.";

  else if (code==ASPERR_CREATESMARTPOPFAILED)
    return "Failed to create SmartPop.";
  else if (code==ASPERR_CREATESMARTPOPEXISTS)
    return "Failed to create SmartPop. It already exists.";
  else if (code==ASPERR_NOSMARTPOPTODELETE)
    return "Failed to delete Schedule. It does not exist.";
  else if (code==ASPERR_DELETESMARTPOPFAILED)
    return "Failed to delete SmartPop.";

  else if (code==ASPERR_CREATESCHEDULEFAILED)
    return "Failed to create Schedule.";
  else if (code==ASPERR_CREATESCHEDULEEXISTS)
    return "Failed to create Schedule. It already exists.";
  else if (code==ASPERR_DELETESCHEDULEFAILED)
    return "Failed to delete Schedule.";
  else if (code==ASPERR_NOSCHEDULETODELETE)
    return "Failed to delete Schedule. It does not exist.";
  else if (code==ASPERR_NOSCHEDULETORENAME)
    return "Failed to rename Schedule. It does not exist.";
  else if (code==ASPERR_RENAMESCHEDULEFAILED)
    return "Failed to rename Schedule.";
  else if (code==ASPERR_SELECTSCHEDULEFAILED)
    return "Schedule does not exist.";

  else if (code==ASPERR_ROUTEALREADYEXISTS)
    return "Failed to create Routing. Route already exists.";
  else if (code==ASPERR_INSERTROUTEFAILED)
    return "Failed to create Routing.";
  else if (code==ASPERR_DELETEROUTEFAILED)
    return "Failed to delete Routing.";
  else if (code==ASPERR_DELETEROUTEINVALID)
    return "Failed to delete Routing. Route does not exist.";

  else if (code==ASPERR_SERVICEALREADYEXISTS)
    return "Failed to create Service. Service already exists with this name.";

  else
    return "("+code+") Unknown error";
}
