function getCookieVal(offset) 
{
  var endstr = document.cookie.indexOf (";", offset);

  if (endstr == -1)
		endstr = document.cookie.length;

  return unescape(document.cookie.substring(offset, endstr));
}

function getCookie(name)
{
  var arg = name+"=";
  var alen = arg.length;
  var clen = document.cookie.length;
  var i = 0;

  while (i < clen)
	{
   var j = i + alen;
   if (document.cookie.substring(i, j) == arg)
	 {
		var cookie=getCookieVal(j);

		return cookie;
	}

   i = document.cookie.indexOf(" ", i) + 1;
   if (i == 0) 
		break;
  }

  return null;
}

function setCookie(name, value, temp) 
{
  var expires;
  var path = "/";
  var domain = null;
  var secure = false;
  var val = null;

  if (value != '')
   val=value;
	
  var expdate = new Date ();
  expdate.setTime(expdate.getTime());
  if (temp == true)
   expdate.setTime(expdate.getTime());
  else
   expdate.setTime(expdate.getTime() + (1000*60*60*24));

  expires = expdate;

  document.cookie = name + "=" + escape (val) +
     ((expires == null) ? "" : ("; expires=" + expires.toGMTString())) +
     ((path == null) ? "" : ("; path=" + path)) +
     ((domain == null) ? "" : ("; domain=" + domain)) +
     ((secure == true) ? "; secure" : "");
}
