function onUp(el)
{
	var newvalue = eval(el.value);

	if (newvalue<10)
		newvalue+=1;
	else if (newvalue<100)
		newvalue = Math.floor(eval(newvalue)/10)*10+10;
	else
		newvalue = Math.floor(eval(newvalue)/50)*50+50;

	el.value = newvalue;
}

function onDown(el)
{
	var newvalue = eval(el.value);

	if (newvalue<10)
	{
		newvalue-=1;

		if (newvalue<=0)
			newvalue=1;
	}
	else if (newvalue<=100)
	{
		newvalue = Math.floor(eval(newvalue)/10)*10-10;

		if (newvalue==0)
			newvalue=9;
	}
	else
	{
		newvalue = Math.floor(eval(newvalue)/50)*50-50;

		if (newvalue==50)
			newvalue=90;
	}

	el.value = newvalue;
}

function onUpPeriod(el)
{
	var min = 60;
	var hour = min*60;
	var day = hour*24;
	var time = el.value;
	var c = time.charAt(time.length-1);
	var newtime;

	if (!isPeriod(el.value))
	{
		alert("Enter a valid time period.");
		el.focus();

		return;
	}

	if (c=="d" || c=="h" || c=="m" || c=="s")
		time = time.substr(0, time.length-1);

	if (c=="d")
		newtime = (eval(time)+1)*day;
	else if (c=="h")
		newtime = (eval(time)+1)*hour;
	else if (c=="m")
	{
		if (eval(time)>5)
			newtime = (Math.floor(eval(time)/5)*5+5)*min;
		else
			newtime = (eval(time)+1)*min;
	}
	else
		newtime = Math.floor(time.valueOf()/5)*5+5;

	el.value = toNicePeriod(newtime);
}

function onDownPeriod(el, allowzero)
{
	var time = el.value;
	var c = time.charAt(time.length-1);
	var newtime;

	if (!isPeriod(el.value))
	{
		alert("Enter a valid time period.");
		el.focus();

		return;
	}

	if (c=="d" || c=="h" || c=="m" || c=="s")
		time = time.substr(0, time.length-1);

	if (c=="d")
	{
		newtime = (eval(time)-1)*day;

		if (newtime==0)
			newtime = 23*hour;
	}
	else if (c=="h")
	{
		newtime = (eval(time)-1)*hour;

		if (newtime==0)
			newtime = 59*min;
	}
	else if (c=="m")
	{
		if (eval(time)>5)
			newtime = (Math.floor(eval(time)/5)*5-5)*min;
		else
			newtime = (eval(time)-1)*min;

		if (newtime==0)
			newtime = 59;
	}
	else
	{
		newtime = Math.floor(eval(time)/5)*5-5;

		if (newtime==0&&allowzero) {}
		else if (newtime<=0)
		{
			if (allowzero)
				newtime = 0;
			else
				newtime = 1;
		}
	}

	el.value = toNicePeriod(newtime);
}

function onUpTime(time)
{
	var hours = getHours(time.value);
	var mins = getMinutes(time.value);

	if ((hours<0||hours>23)||(mins<0||mins>59))
	{
		time.value="00:00";
		return;
	}
	
	mins = Math.floor(mins/5)*5+5;
	if (mins==60)
	{
		mins=0;
		hours++;
	}
	if (hours==24)
		hours=0;

	time.value=toNiceTime(hours*hour+mins*min);
}

function onDownTime(time)
{
	var hours = getHours(time.value);
	var mins = getMinutes(time.value);

	if ((hours<0||hours>23)||(mins<0||mins>59))
	{
		time.value="00:00";
		return;
	}
	
	mins = Math.floor(mins/5)*5-5;
	if (mins==-5)
	{
		mins=55;
		hours--;
	}
	if (hours==-1)
		hours=23;

	time.value=toNiceTime(hours*hour+mins*min);
}

function fromNiceBytes(bytes)
{
	var scaler;
	var index;
	if (bytes.charAt(bytes.length-1)=="b"||bytes.charAt(bytes.length-1)=="B")
	{
		index = bytes.length-2;
		switch (bytes.charAt(bytes.length-2))
		{
			case 'K':
			case 'k':
				scaler = 1024;
				break;

			case 'M':
			case 'm':
				scaler=1024*1024;
				break;

			case 'G':
			case 'g':
				scaler=1024*1024*1024;
				break;

			default:
				index = bytes.length-1;
				scaler=1;
		}

		var value = eval(bytes.slice(0, index));
		value = value * scaler;

		return value;
	}
	else if (bytes=="")
		return 0;
	else
		return eval(bytes);
}

function onUpBytes(bytes)
{
	var value = fromNiceBytes(bytes.value);
	var scaler1 = 1;
	var scaler2 = 1;

	if (value<1024)
		scaler1 = 1;
	else if (value<1024*1024)
		scaler1 = 1024;
	else if (value<1024*1024*1024)
		scaler1 = 1024*1024;
	else
		scaler1 = 1024*1024*1024;

	value = Math.round(value/scaler1);
	if (value<10)
		scaler2=1;
	else if (value<100)
		scaler2=10;
	else if (value<1000)
		scaler2=100;
	else
		scaler2=1024;

	value = Math.round(value/scaler2);

	if (value<1)
		value=1;
	else if (value<2)
		value=2;
	else if (value<5)
		value=5;
	else if (scaler2==100)
		value=10.24;
	else
		value=10;

	bytes.value = toNiceBytes(value * scaler1 * scaler2);
}

function onDownBytes(bytes)
{
	var value = fromNiceBytes(bytes.value);
	var scaler1 = 1;
	var scaler2 = 1;

	if (value<1024)
		scaler1 = 1;
	else if (value<1024*1024)
		scaler1 = 1024;
	else if (value<1024*1024*1024)
		scaler1 = 1024*1024;
	else
		scaler1 = 1024*1024*1024;

	value = Math.round(value/scaler1);
	if (value<10)
		scaler2=1;
	else if (value<100)
		scaler2=10;
	else if (value<1000)
		scaler2=100;
	else
		scaler2=1024;

	value = Math.round(value/scaler2);

	if (value>5)
		value=5;
	else if (value>2)
		value=2;
	else if (value>1)
		value=1;
	else
	{
		value=5;

		if (scaler2==1024)
			scaler2=500;
		else if (scaler2!=1)
			scaler2 = scaler2/10;
		else if (scaler1!=1)
		{
			scaler1 = scaler1/1024;
			scaler2=100;
		}
		else
			value = 1;
	}

	bytes.value = toNiceBytes(value * scaler1 * scaler2);
}